VAGRANTFILE_API_VERSION = "2"

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|
  config.vm.provider :virtualbox do |vb|
    vb.name = "ees17-school-tutoral-V3"
    vb.memory = 2048
    vb.cpus = 2
    vb.gui = true
    vb.customize ["modifyvm", :id, "--vram", "16"]
  config.ssh.username = "ees17"
#  config.ssh.hostname = "ees17-school-tutoral-V3"
  end

  config.vm.box = "debian/stretch64"


# added to get a 50GB disk
# vagrant-vbguest does not compile properly using an ansible playbook to do it
# required_plugins = %w( vagrant-vbguest vagrant-disksize )
  required_plugins = %w( vagrant-disksize )
    _retry = false
    required_plugins.each do |plugin|
        unless Vagrant.has_plugin? plugin
            system "vagrant plugin install #{plugin}"
            _retry=true
        end
    end
 
    if (_retry)
        exec "vagrant " + ARGV.join(' ')
    end

  config.disksize.size = "50GB"




  config.vm.synced_folder '.', '/vagrant', disabled: true

  config.vm.network "forwarded_port", guest: 80, host: 8081

  config.vm.provision :ansible do |ansible|
#    ansible.verbose = "vvv"
    ansible.playbook = "ees17-playbook.yml"
  end
end
